> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://en.megaport.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://en.megaport.ferndocs.com/_mcp/server.

# Available MVE Sizes (v3)

GET https://api.megaport.com/v3/product/mve/variants

Returns a list of currently available MVE sizes and details for each size.

The instance size determines the MVE capabilities, such as how many concurrent connections it can support.

The compute sizes are 2/8, 4/16, 8/32, 16/64, and 32/128, where the first number is the CPU count and the second number is the GB of available RAM. Each size has 4 GB of RAM for every vCPU allocated.

When choosing an MVE instance size, keep in mind these items:

- Any increase on the network data stream load can degrade performance. For example, establishing secure tunnels with IPsec, adding traffic path steering, or using deep packet inspection (DPI) can impact the maximum throughput speed.
    
- Future plans to scale the network.
    

To check which MVE instance sizes are available for your deployment, use the Megaport Portal during the MVE setup process. Instance size availability depends on both the selected vendor and the deployment location, and might vary accordingly. The Megaport Portal displays the sizes that are available for your selected vendor and location.

Reference: https://en.megaport.ferndocs.com/api-reference/megaport-virtual-edge-mve/available-mve-sizes-v-3

## Servers

- `https://api.megaport.com` (Production environment, default)
- `https://api-staging.megaport.com` (Staging environment (test only, reset every 24 hours))

## Response

### 200

Available MVE Sizes (v3) / Available MVE Sizes (v3)

- `data` (list of V3ProductMveVariantsGetResponsesContentApplicationJsonSchemaDataItems, optional)
- `message` (string, optional)
- `terms` (string, optional)

## Types

### V3ProductMveVariantsGetResponsesContentApplicationJsonSchemaDataItems

- `cpuCoreCount` (double, optional)
- `label` (string, optional)
- `ramGB` (double, optional)
- `size` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "cpuCoreCount": 2,
      "label": "MVE 2/8",
      "ramGB": 8,
      "size": "SMALL"
    },
    {
      "cpuCoreCount": 4,
      "label": "MVE 4/16",
      "ramGB": 16,
      "size": "MEDIUM"
    },
    {
      "cpuCoreCount": 8,
      "label": "MVE 8/32",
      "ramGB": 32,
      "size": "LARGE"
    },
    {
      "cpuCoreCount": 16,
      "label": "MVE 16/64",
      "ramGB": 64,
      "size": "X_LARGE_16"
    },
    {
      "cpuCoreCount": 32,
      "label": "MVE 32/128",
      "ramGB": 128,
      "size": "X_LARGE_32"
    }
  ],
  "message": "Current supported MVE sizes",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python
import requests

url = "https://api.megaport.com/v3/product/mve/variants"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.megaport.com/v3/product/mve/variants';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v3/product/mve/variants"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v3/product/mve/variants")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v3/product/mve/variants")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v3/product/mve/variants');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.megaport.com/v3/product/mve/variants");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v3/product/mve/variants")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```